ภาพรวมคีย์
| รุ่นคีย์ | V4 |
|---|---|
| ข้อกำหนด | RFC 2440 · RFC 4880 · RFC 9580 |
| สถานะ | เข้ากันได้ แต่ RFC 9580 ไม่แนะนำให้ใช้แล้ว |
| คีย์หลัก (รับรอง ลงนาม) | ECDSA secp256k1 · ID 19 · SHA-256 |
| คีย์ย่อยสำหรับเข้ารหัส | ECDH NIST P-256 · ID 18 |
| ลายนิ้วมือ | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| วลีรหัสผ่านของคีย์ส่วนตัว | synthetic-key-password |
อัลกอริทึมและการใช้งาน
ECDSA secp256k1: ลายเซ็นเส้นโค้งวงรีบน secp256k1 ซึ่งรู้จักกันจาก Bitcoin เส้นโค้งนี้ไม่อยู่ในทะเบียนของ RFC 9580 โดย GnuPG รองรับ แต่ซอฟต์แวร์ที่ใช้ Sequoia รวมถึงคีย์เซิร์ฟเวอร์ keys2 ปฏิเสธ ใช้เพื่อความเข้ากันได้กับระบบที่ต้องใช้เส้นโค้งนี้เท่านั้น
ECDH NIST P-256: คีย์ย่อยสำหรับเข้ารหัสแบบ Diffie–Hellman บนเส้นโค้งวงรี NIST P-256.
คีย์สาธารณะ
ใบรับรองสาธารณะที่มีคีย์หลัก คีย์ย่อยสำหรับเข้ารหัส และลายเซ็นผูกคีย์ นำเข้าเพื่อตรวจสอบลายเซ็นหรือเข้ารหัสข้อมูลถึงตัวตนทดสอบนี้
ดาวน์โหลด → 729 ไบต์
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
คีย์ส่วนตัว
คีย์ส่วนตัวที่ป้องกันด้วยวลีรหัสผ่านข้างต้น เผยแพร่เพื่อทดสอบเท่านั้น ทุกคนสามารถใช้ได้
ดาวน์โหลด → 955 ไบต์
แสดง
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
ใบรับรองการเพิกถอน
ใบรับรองการเพิกถอนที่สร้างไว้ล่วงหน้า การนำเข้าจะทำเครื่องหมายว่าคีย์ถูกเพิกถอน เผยแพร่เพื่อให้คุณทดสอบการจัดการคีย์ที่ถูกเพิกถอนของซอฟต์แวร์
ดาวน์โหลด → 888 ไบต์
แสดง
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
ลายเซ็นของ test_1MB.bin
ลายเซ็นแบบแยกในรูปแบบ ASCII-armored ของ test_1MB.bin ที่สร้างด้วยคีย์นี้ใน CH-J Tools บันทึกเป็น test_1MB.bin.asc ไว้ข้างไฟล์ทดสอบ
ดาวน์โหลด → 228 ไบต์
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
ตรวจสอบลายเซ็น
คีย์รุ่น 4 ใช้ได้กับ GnuPG และเครื่องมือ SOP เช่น sqop หรือ rsop หากรองรับอัลกอริทึมนั้น ใช้ GNUPGHOME ชั่วคราวเพื่อไม่ให้คีย์ทดสอบเข้าสู่พวงกุญแจที่ใช้งานจริง:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin